<?php

/**
 * Hook listener for the roundcube module
 *
 * @author Gilles Hemmerlé
 */
namespace Igestis\Modules\OpenChange;

/**
 * Hook listener for the OpenChange module
 */
class ConfigHookListener implements \Igestis\Interfaces\HookListenerInterface  {
    /**
     * 
     * @param string $HookName The name of the hook  that was fired
     * @param \Igestis\Types\HookParameters $params List of parameters sent by the hook to all the listeners
     * @return boolean True if the hook was intercepted by this listener, false else ...
     */
    public static function listen($HookName, \Igestis\Types\HookParameters $params = null) {
        switch ($HookName) {
            // Fired when a contact was updated and stored in the ldap database
            case "afterContactLdapSave" :
                new OpenChangeLdapUpdate($params->get("contact"));
                return true;
                break;
            // Default, do nothing
            case "command" :
                $application = $params->get("application");
                $application->add(new OpenChangeCommand);
                return true;
                break;
            default:
                break;
        }
        
        // If gone here, the hook has not been managed
        return false;
    }
}